<?php
echo "<table align='center'>";
echo "<tr><th >Nome</th><th>Entrada</th><th>Saída</th></tr>";

class TableRows extends RecursiveIteratorIterator { 
    function __construct($it) { 
        parent::__construct($it, self::LEAVES_ONLY); 
    }

    function current() {
        return "<td>" . parent::current(). "</td>";
    }

    function beginChildren() { 
        echo "<tr>"; 
    } 

    function endChildren() { 
        echo "</tr>" . "\n";
    } 
} 

	$config = parse_ini_file('/home/rascunho/public_html/db.ini');
	$dbschema = $config['dbschema'];
	$server = $config['server'];
	$dbusername = $config['dbusername'];
	$dbpassword = $config['dbpassword'];
	$table = "Picagens";

	try {

		//Connect to Database
	    $conn = new PDO("mysql:host=$server;dbname=$dbschema", $dbusername, $dbpassword);
		// set the PDO error mode to exception
		$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$stmt = $conn->prepare("SELECT nome,entrada,saida FROM $dbschema.$table");
		//$stmt->bindParam(':username', $username);
		$stmt->execute();

	    // set the resulting array to associative
	    $result = $stmt->setFetchMode(PDO::FETCH_ASSOC); 
	    foreach(new TableRows(new RecursiveArrayIterator($stmt->fetchAll())) as $k=>$v) { 
	        echo $v;
	    }
	}
	catch(PDOException $e) {
	    echo "Error: " . $e->getMessage();
	}
	$conn = null;
	echo "</table>";
?>

<html>
<head>
	<title>Picagens</title>
	<style>
		table {
		    border-collapse: collapse;
		    width: 80%;
		}

		th, td {
		    text-align: left;
		    padding: 8px;
		}

		tr:nth-child(even){background-color: #d5d5d5}

		th {
		    background-color: #7693ff;
		    color: white;
		}
	</style>
</head>
<body>

</body>
</html>