<?php

    $config = parse_ini_file('/home/rascunho/public_html/db.ini');
    $dbschema = $config['dbschema'];
    $server = $config['server'];
    $dbusername = $config['dbusername'];
    $dbpassword = $config['dbpassword'];
    $table = "Picagens";

    try {
        ///check if the token passed for authentication is valid.
        if($_GET["auth"] === $config['auth']){
            
            //get the user passed by Arduino
            $username = $_GET["username"];
            //get the time passed by Arduino
            $time = $_GET["time"];

            //Connect to database
            $conn = new PDO("mysql:host=$server;dbname=$dbschema", $dbusername, $dbpassword);
            // set the PDO error mode to exception
            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            $stmt = $conn->prepare("SELECT id,saida FROM $dbschema.$table WHERE Nome = :username order by id desc limit 1");
            $stmt->bindParam(':username', $username);
            $stmt->execute();
            
            $result = $stmt->fetch(PDO::FETCH_OBJ);
            $idResult = $result->id;
            $saidaResult = $result->saida;
            
            //debug
            /*
            print "time: $time";
            print("\n");
            print "id: $idResult";
            print("\n");
            print "saidaResult $saidaResult";
            print("\n");
            */

            //Check if we want to update the row with the exit time or insert a new row with the entry time.
            if(empty($saidaResult) && (!empty($idResult) || $idResult == 0)){
                $stmt=$conn->prepare("UPDATE $dbschema.$table SET saida=:time WHERE id=:id");
                $stmt->bindParam(':time', $time);
                $stmt->bindParam(':id', $idResult);
                $stmt->execute();
            }else{
                $stmt = $conn->prepare("INSERT INTO $dbschema.$table (nome,entrada) VALUES (:username,:time)");
                $stmt->bindParam(':username', $username);
                $stmt->bindParam(':time', $time);
                $stmt->execute();
            }
        }

    }catch(PDOException $e){
        echo "Error: " . $e->getMessage();
    }

    $conn = null;
?>